﻿@model List<WorkspaceModel>
<div class="modal fade" id="switch-space-modal" tabindex="-1" aria-modal="true" role="dialog" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            @Html.AntiForgeryToken()
            <div class="modal-header d-flex align-items-center">
                <h4 class="modal-title">
                    Select Workspace
                </h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body p-4">

                <div class="row">
                    @foreach (var workspace in Model)
                    {
                        <div class="col-md-6 col-lg-4 d-flex align-items-stretch">
                            <a class="w-100" asp-controller="workspace" asp-action="switchWorkspace" asp-route-id="@workspace.Id">
                                <div class="card w-100 project-card">
                                    <div class="card-body p-3">
                                        <div class="task-header">
                                            <div class="">
                                                <h6 class="text-ellipsis fw-bold" data-item-title="First design concept">
                                                    @workspace.Name
                                                </h6>
                                            </div>
                                        </div>
                                        <div class="task-body">
                                            <div class="task-bottom">
                                                <div class="tb-section-1 pt-2 d-flex align-items-center">
                                                    @await Html.PartialAsync("_UserAvatar", workspace.CreatedBy, new ViewDataDictionary(ViewData){{"_size", "24"}})
                                                    <span class="ms-2"> @workspace.CreatedBy.Name</span> 
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </div>
                    }

                </div>
            </div>
            <div class="modal-footer">

                <button type="button" class="btn bg-danger-subtle text-danger font-medium" data-bs-dismiss="modal">
                    Cancel
                </button>
            </div>
        </div>
    </div>
</div>